Subject: Merging with git-svn - how about this?

From: Andrew Sayers <[email-masked]>
Date: Mon, 31 May 2010 16:34:12 +0100

I'm writing up a wiki page based on the "best way to make my company
migrate to Git" thread from earlier this month, and I'd like to
recommend something for merging (beyond the standard "don't do it").
Here's what I'm planning to write - I'd appreciate any suggestions or
advice people have:

To merge from $from_branch to $to_branch with git-svn, do:

git checkout $to_branch@{0}
git merge --no-ff $from_branch
# Fix any merge conflicts, `git add`, `git commit` etc.
git checkout $to_branch
git cherry-pick -m 1 HEAD@{1}

	- Andrew